# $Revision: 1.29 $, $Date: 2011/03/13 10:22:35 $
%include        /usr/lib/rpm/macros.perl
Summary:	STFL implements a curses-based widget set for text terminals
Summary(hu.UTF-8):	Az STFL egy curses-alapú widget-készletet biztosít szöveges terminálokhoz
Summary(pl.UTF-8):	Implementacja opartego na ncurses zestawu widgetów dla terminali tekstowych
Name:		stfl
Version:	0.21
Release:	9
License:	LGPL v3
Group:		Libraries
Source0:	http://www.clifford.at/stfl/%{name}-%{version}.tar.gz
# Source0-md5:	888502c3f332a0ee66e490690d79d404
URL:		http://www.clifford.at/stfl/
Patch0:		%{name}-example-dir.patch
Patch1:		%{name}-link.patch
BuildRequires:	ncurses-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	ruby-devel
BuildRequires:	swig-perl
BuildRequires:	swig-python
BuildRequires:	swig-ruby
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
STFL is a library which implements a curses-based widget set for text
terminals.

%description -l hu.UTF-8
Az STFL egy curses-alapú widget-készletet biztosít szöveges
terminálokhoz.

%description -l pl.UTF-8
STFL jest biblioteką udostępniającą implementacją opartego na ncurses
zestawu widgetów dla terminali tekstowych.

%package devel
Summary:	Header files for STFL library
Summary(hu.UTF-8):	Az STFL könyvtár fejlesztői fájljai
Summary(pl.UTF-8):	Pliki nagłówekowe biblioteki STFL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for STFL library.

%description devel -l hu.UTF-8
Az STFL könyvtár fejlesztői fájljai.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki STFL.

%package static
Summary:	Static STFL library
Summary(hu.UTF-8):	Statikus STFL könyvtár
Summary(pl.UTF-8):	Statyczna biblioteka STFL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static STFL library.

%description static -l hu.UTF-8
Statikus STFL könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka STFL.

%package -n perl-%{name}
Summary:	Perl binding for STFL
Summary(hu.UTF-8):	Perl kapcsolódás STFL-hez
Summary(pl.UTF-8):	Wiązania Perla dla STFLa
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	stfl-perl

%description -n perl-%{name}
Perl binding for STFL.

%description -n perl-%{name} -l hu.UTF-8
Perl kapcsolódás STFL-hez.

%description -n perl-%{name} -l pl.UTF-8
Wiązania Perla dla STFLa.

%package -n python-%{name}
Summary:	Python binding for STFL
Summary(hu.UTF-8):	Python kapcsolódás STFL-hez
Summary(pl.UTF-8):	Wiązania Pythona dla STFLa
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	stfl-python

%description -n python-%{name}
Python binding for STFL.

%description -n python-%{name} -l hu.UTF-8
Python kapcsolódás STFL-hez.

%description -n python-%{name} -l pl.UTF-8
Wiązania Pythona dla STFLa.

%package -n ruby-%{name}
Summary:	Ruby binding for STFL
Summary(hu.UTF-8):	Ruby kapcsolódás STFL-hez
Summary(pl.UTF-8):	Wiązania Ruby'ego dla STFLa
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	stfl-ruby

%description -n ruby-%{name}
Ruby binding for STFL.

%description -n ruby-%{name} -l hu.UTF-8
Ruby kapcsolódás STFL-hez.

%description -n ruby-%{name} -l pl.UTF-8
Wiązania Ruby'ego dla STFLa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
echo 'LDLIBS=-ltinfow' >> Makefile.cfg

%build
%{__make} -j1 \
	prefix="" \
	libdir=%{_libdir} \
	CFLAGS="-Wall %{rpmcppflags} %{rpmcflags} -I. -D_GNU_SOURCE -fPIC" \
	LDFLAGS="%{rpmldflags}" \
	CC="%{__cc} -pthread"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{py_libdir}/lib-dynload

%{__make} -j1 install \
	prefix=%{_prefix} \
	libdir=%{_lib} \
	DESTDIR=$RPM_BUILD_ROOT

mv  $RPM_BUILD_ROOT%{py_libdir}/site-packages/lib-dynload/_stfl.so \
	$RPM_BUILD_ROOT%{py_libdir}/lib-dynload

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example{,.c,.stfl} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libstfl.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libstfl.so
%{_includedir}/stfl.h
%{_pkgconfigdir}/stfl.pc
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/example
%{_examplesdir}/%{name}-%{version}/example.*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n perl-%{name}
%defattr(644,root,root,755)
%doc perl5/example.pl
%{perl_vendorarch}/stfl.pm
%dir %{perl_vendorarch}/auto/stfl
%{perl_vendorarch}/auto/stfl/stfl.bs
%attr(755,root,root) %{perl_vendorarch}/auto/stfl/stfl.so

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_libdir}/lib-dynload/_stfl.so
%{py_libdir}/site-packages/stfl.pyc

%files -n ruby-%{name}
%defattr(644,root,root,755)
%doc ruby/example.rb
%attr(755,root,root) %{ruby_archdir}/stfl.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: stfl.spec,v $
Revision 1.29  2011/03/13 10:22:35  arekm
- rel 9; fix python module dir

Revision 1.28  2010/09/04 23:07:13  gotar
- rel. 8 (packages missing from FTP)

Revision 1.27  2010/07/09 11:24:50  arekm
- release 7

Revision 1.26  2010/06/06 13:35:48  arekm
- release 6

Revision 1.25  2010/03/02 12:52:33  baggins
- rel 5

Revision 1.24  2009/12/10 21:40:40  sparky
- rel 4; STBR

Revision 1.23  2009/12/10 21:33:56  sparky
- also link with libtinfow

Revision 1.22  2009/11/26 02:00:35  sparky
- reversed names of script languages subpackages

Revision 1.21  2009/11/24 02:22:47  sparky
- many %files fixes
- rel 3; STBR

Revision 1.20  2009/11/24 01:51:29  sparky
- BR: rpm-perlprov, rpm-pythonprov  and activate
- trick to make it build on 32bits

Revision 1.19  2009/11/24 00:33:25  sparky
- added link patch, use rpmcflags, rpmldflags, __cc
- BR: python-modules
- %{py_libdir}/site-packages does not belong here

Revision 1.18  2009/10/10 08:57:14  uzsolt
- post and postun
- rel 2

Revision 1.17  2009/10/10 07:40:35  uzsolt
- example.rb to ruby subpackage

Revision 1.16  2009/10/10 07:29:54  uzsolt
- 0.21 (version update, fix files, build sections)
- hu
- example.c in devel subpackage

Revision 1.15  2009/02/18 20:52:12  arekm
- release 2

Revision 1.14  2009/01/23 17:15:14  adamg
- previous commit reverted

Revision 1.13  2009/01/23 16:40:46  adamg
- updated to 1.7.5

Revision 1.12  2008/10/27 18:14:22  uzsolt
- fix 1.10 changelog typo

Revision 1.11  2008/10/27 18:05:13  uzsolt
- removed TODO
- rel 1

Revision 1.10  2008/10/27 17:52:51  uzsolt
- sedding {python,ruby}/Makefile.snippet to fix libdir

Revision 1.9  2008/10/05 11:06:28  uzsolt
- added x86_64 TODO

Revision 1.8  2008/10/05 10:56:11  uzsolt
- cleanups, corrections
- added swig* BRs

Revision 1.7  2008/08/31 18:33:21  uzsolt
- fix sed expression

Revision 1.6  2008/08/31 18:25:19  uzsolt
- close the unclosed %if

Revision 1.5  2008/08/31 18:20:10  uzsolt
- fix find

Revision 1.4  2008/08/31 18:19:16  uzsolt
- fix /usr/lib64 path

Revision 1.3  2008/08/31 17:42:20  uzsolt
- added -fPIC build option

Revision 1.2  2008/07/25 11:36:08  adamg
- synced with template-lib.spec
- perl/python/ruby bindings packages
- BR: perl-devel, python-devel, ruby-devel
- lib64 fixes
- rel. 0.2 (few more cleanups needed)

Revision 1.1  2008/07/25 11:06:47  adamg
- raw from Zsolt Udvari udvzsolt//gmail.com

Revision 1.0  2008/07/25 10:00:00  uzsolt
- initial
